Summary: The NIS daemon which binds NIS clients to an NIS domain
Name: ypbind
Version: 1.19.1
Release: %mkrel 4
Epoch: 3
License: GPL
Group: System/Servers
URL: http://www.linux-nis.org/nis/ypbind-mt/index.html
Source0: ftp.kernel.org:/pub/linux/utils/net/NIS/ypbind-mt-%{PACKAGE_VERSION}.tar.bz2
Source3: ftp.kernel.org:/pub/linux/utils/net/NIS/ypbind-mt-%{PACKAGE_VERSION}.tar.bz2.sign
Source1: ypbind.init
Source2: yp.conf
Patch1: ypbind-1.11-broadcast.patch.bz2
Patch2: ypbind-1.11-gettextdomain.patch.bz2
Patch4: ypbind-mt-1.16-nullhandle.patch.bz2
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires: portmap
Requires: yp-tools
Buildroot: %{_tmppath}/ypbind-root

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package provides the ypbind daemon.  The ypbind daemon binds NIS
clients to an NIS domain.  Ypbind must be running on any machines
which are running NIS client programs.

Install the ypbind package on any machines which are running NIS client
programs (included in the yp-tools package).  If you need an NIS server,
you'll also need to install the ypserv package to a machine on your
network.

%prep
%setup -q -n ypbind-mt-%version
%patch1 -p1 -b .broadcast
%patch2 -p1 -b .fixit
%patch4 -p1 -b .nullhandle

%build
%serverbuild
%configure --sbindir=/sbin
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/ypbind
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yp.conf
mkdir -p $RPM_BUILD_ROOT/var/yp/binding

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service ypbind

%preun
%_preun_service ypbind

%files -f %{name}.lang
%defattr(-,root,root)
%attr(755, root, root) /sbin/ypbind
%{_mandir}/*/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/yp.conf
%dir /var/yp/binding
%doc README


%changelog
* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/21/06 10:48:36 (41840)
- rebuild

* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/21/06 10:47:11 (41838)
Import ypbind

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 1.19.1-3mdk
- add LSB comments in initscript
- fix Requires post/preun

* Sat Jul 16 2005 Olivier Thauvin <nanardon@mandriva.org> 1.19-2mdk
- rpmlint fix

* Sat Jul 16 2005 Olivier Thauvin <nanardon@mandriva.org> 1.19-1mdk
- 1.19.1
- fix wrong conrestart check
- remove patch3, not need anymore

* Wed Aug 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.17.3-1mdk
- new version

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.12-3mdk
- rebuild
- use %%make macro

* Fri Jan 24 2003 Stefan van der Eijk <stefan@eijk.nu> 1.12-2mdk
- Remove unpackaged file

* Thu Jul 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.12-1mdk
- 1.12

* Wed Mar 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.3-29mdk
- use the new rpm macros for servers.

* Mon Oct 23 2000 Vincent Danen <vdanen@mandrakesoft.com> 3.3-28mdk
- security fix

* Tue Aug 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.3-27mdk
- rebuild for the use of the _initrddir macro.

* Sun Aug 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3-26mdk
- added restart and stop at package upgrade and removal.
- %%postun => %%preun
- %%config(noreplace)

* Sat Jul 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.3-25mdk
- macroszifications
- BM

* Wed Mar 29 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.3-24mdk
- new group scheme
- use spechelper

* Sat Nov 27 1999 Pixel <pixel@linux-mandrake.com>
- replaced chkconfig value `-' by `345'

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge rh patchs.
- Fix init script.

* Mon May 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- requires yp-tools, because ypwhich is part of that package

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- don't run ypwhich script if ypbind doesn't start

* Tue Apr 06 1999 Bill Nottingham <notting@redhat.com>
- add a 10 second timeout for initscript...

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- fixed init script to wait until domain is really bound (bug #1928)

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- revert to stabdard ypbind; ypbind-mt sucks.

* Sat Mar 20 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- build as ypbind instead of ypbind-mt

* Thu Feb 11 1999 Michael Maher <mike@redhat.com>
- addressed bug #609

* Wed Dec 16 1998 Cristian Gafton <gafton@redhat.com>
- provides ypbind
- switch to ypbind-mt instead of plain ypbind
- build for glibc 2.1

